Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.designer.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.designer.cs	(revision 484)
@@ -1012,6 +1085,14 @@
             this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column1.Width = 80;
             // 
+            // Column4
+            // 
+            this.Column4.Frozen = true;
+            this.Column4.HeaderText = "発注者区分";
+            this.Column4.Name = "Column4";
+            this.Column4.ReadOnly = true;
+            this.Column4.Visible = false;
+            // 
             // Column2
             // 
             this.Column2.Frozen = true;
@@ -1032,32 +1113,6 @@
             this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column3.Width = 420;
             // 
-            // label23
-            // 
-            this.label23.BackColor = System.Drawing.Color.White;
-            this.label23.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.label23.ForeColor = System.Drawing.Color.Black;
-            this.label23.Location = new System.Drawing.Point(20, 35);
-            this.label23.Name = "label23";
-            this.label23.Size = new System.Drawing.Size(110, 27);
-            this.label23.TabIndex = 24;
-            this.label23.Text = "50音順";
-            this.label23.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-            this.label23.Visible = false;
-            // 
-            // cmbJapaneseSyllabary
-            // 
-            this.cmbJapaneseSyllabary.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-            this.cmbJapaneseSyllabary.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-            this.cmbJapaneseSyllabary.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.cmbJapaneseSyllabary.FormattingEnabled = true;
-            this.cmbJapaneseSyllabary.Location = new System.Drawing.Point(137, 35);
-            this.cmbJapaneseSyllabary.Name = "cmbJapaneseSyllabary";
-            this.cmbJapaneseSyllabary.Size = new System.Drawing.Size(100, 27);
-            this.cmbJapaneseSyllabary.TabIndex = 25;
-            this.cmbJapaneseSyllabary.TabStop = false;
-            this.cmbJapaneseSyllabary.Visible = false;
-            // 
             // FrmOrderers
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -1075,9 +1130,9 @@
             this.Controls.Add(this.lblEditMode);
             this.Controls.Add(this.dgvMaster);
             this.Controls.Add(this.label1);
-            this.Controls.Add(this.btnDataDelete);
             this.Controls.Add(this.btnDataEntry);
             this.Controls.Add(this.btnEnd);
+            this.Controls.Add(this.btnDataDelete);
             this.Controls.Add(this.btnSelect);
             this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
@@ -1116,9 +1171,6 @@
         private System.Windows.Forms.Button btnDispUp;
         private System.Windows.Forms.Label label12;
         private System.Windows.Forms.ComboBox cmbDivision;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
         private System.Windows.Forms.Panel panel2;
         private System.Windows.Forms.Button btnSelect;
         private System.Windows.Forms.Label label18;
@@ -1171,5 +1223,12 @@
         private System.Windows.Forms.Label lblEntryPerson;
         private System.Windows.Forms.Label label23;
         private System.Windows.Forms.ComboBox cmbJapaneseSyllabary;
+        private System.Windows.Forms.Label label22;
+        private System.Windows.Forms.TextBox txtInput13;
+        private System.Windows.Forms.Label label24;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInCharge.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInCharge.designer.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInCharge.designer.cs	(revision 484)
@@ -775,7 +775,7 @@
             this.cmbLedgerFlg.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
             this.cmbLedgerFlg.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
             this.cmbLedgerFlg.FormattingEnabled = true;
-            this.cmbLedgerFlg.Location = new System.Drawing.Point(153, 1197);
+            this.cmbLedgerFlg.Location = new System.Drawing.Point(153, 1195);
             this.cmbLedgerFlg.Name = "cmbLedgerFlg";
             this.cmbLedgerFlg.Size = new System.Drawing.Size(144, 24);
             this.cmbLedgerFlg.TabIndex = 25;
@@ -864,7 +864,7 @@
             this.cmbSecManage.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
             this.cmbSecManage.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
             this.cmbSecManage.FormattingEnabled = true;
-            this.cmbSecManage.Location = new System.Drawing.Point(153, 1302);
+            this.cmbSecManage.Location = new System.Drawing.Point(153, 1300);
             this.cmbSecManage.Name = "cmbSecManage";
             this.cmbSecManage.Size = new System.Drawing.Size(294, 24);
             this.cmbSecManage.TabIndex = 28;
@@ -1298,7 +1298,7 @@
             this.cmbRefDepartment.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
             this.cmbRefDepartment.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
             this.cmbRefDepartment.FormattingEnabled = true;
-            this.cmbRefDepartment.Location = new System.Drawing.Point(7, 1547);
+            this.cmbRefDepartment.Location = new System.Drawing.Point(7, 1545);
             this.cmbRefDepartment.Name = "cmbRefDepartment";
             this.cmbRefDepartment.Size = new System.Drawing.Size(590, 24);
             this.cmbRefDepartment.TabIndex = 31;
@@ -1423,7 +1423,7 @@
             this.cmbDepartment.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
             this.cmbDepartment.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
             this.cmbDepartment.FormattingEnabled = true;
-            this.cmbDepartment.Location = new System.Drawing.Point(153, 777);
+            this.cmbDepartment.Location = new System.Drawing.Point(153, 775);
             this.cmbDepartment.Name = "cmbDepartment";
             this.cmbDepartment.Size = new System.Drawing.Size(444, 24);
             this.cmbDepartment.TabIndex = 20;
@@ -1973,7 +1973,7 @@
             this.cmbWorkingType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
             this.cmbWorkingType.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
             this.cmbWorkingType.FormattingEnabled = true;
-            this.cmbWorkingType.Location = new System.Drawing.Point(153, 1652);
+            this.cmbWorkingType.Location = new System.Drawing.Point(153, 1650);
             this.cmbWorkingType.Name = "cmbWorkingType";
             this.cmbWorkingType.Size = new System.Drawing.Size(444, 24);
             this.cmbWorkingType.TabIndex = 34;
@@ -2143,7 +2143,6 @@
             this.rdbMode2.TabIndex = 21;
             this.rdbMode2.Text = "削除一覧";
             this.rdbMode2.UseVisualStyleBackColor = true;
-            this.rdbMode2.CheckedChanged += new System.EventHandler(this.rdbMode_CheckedChanged);
             // 
             // rdbMode1
             // 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs	(revision 484)
@@ -808,7 +808,8 @@
                 tableLayoutPanel1.VerticalScroll.Value = 0;
 
                 // 担当者マスタ取得SQL
-                string strSql = "SELECT A.*, B.SECNAME, B.SECRANK, B.SECRANGE FROM PERSONINCHARGEMASTER A";
+                string strSql = string.Format("SELECT {0}", IOMPersonInCharge.CreateFieldNameList("A."));
+                strSql += ", B.SECNAME, B.SECRANK, B.SECRANGE FROM PERSONINCHARGEMASTER A";
                 strSql += " LEFT JOIN SECURITYMASTER B ON B.SECCODE = A.SECCODE";
                 strSql += string.Format(" Where A.PersonCode = {0}", m_PersonCode);
                 ArrayList arList = new ArrayList();
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityAuxiliary.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityAuxiliary.cs	(revision 484)
@@ -645,8 +645,7 @@
                 // 起動対象マスタ取得
                 StringBuilder strSQL = new StringBuilder();
                 strSQL.Append("SELECT");
-                //strSQL.Append(CreateFeildSQL("A."));
-                strSQL.Append(" A.*");
+                strSQL.AppendFormat(" {0}", IOMSecurity.CreateFieldNameList("A."));
                 strSQL.Append(", B.EXECCODE");
                 strSQL.Append(", B.EDITFLG");
                 strSQL.Append(" FROM SECURITYMASTER A");
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs	(revision 484)
@@ -2366,7 +2366,9 @@
 
                 StringBuilder strSQL = new StringBuilder();
                 strSQL.Append("Select Distinct JapaneseSyllabary From SubContractorMaster");
-                strSQL.AppendFormat(" WHERE DELETEFLG = {0} Order By JapaneseSyllabary", (int)CommonDefine.DataDeleteDef.Exists);
+                strSQL.Append(" WHERE Length(JapaneseSyllabary) > 0");
+                strSQL.AppendFormat(" And DELETEFLG = {0}", (int)CommonDefine.DataDeleteDef.Exists);
+                strSQL.Append(" Order By JapaneseSyllabary");
                 ArrayList arData = new ArrayList();
                 if (!sbDB.ExecuteReader(strSQL.ToString(), ref arData)) return;
                 if (arData.Count == 0) return;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.cs	(revision 484)
@@ -389,7 +389,7 @@
                 else
                 {
                     strSQL.Append("Select");
-                    strSQL.Append(" A.*");
+                    strSQL.AppendFormat(" {0}",IOMComponent.CreateFieldNameList("A."));
                     strSQL.Append(", B.TypeCode");
                     strSQL.Append(", C.NameString");
                     strSQL.Append(" From componentmaster AS A");
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.Designer.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.Designer.cs	(revision 484)
@@ -47,6 +47,8 @@
             this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column9 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column10 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
             this.SuspendLayout();
             // 
@@ -117,7 +119,9 @@
             this.Column7,
             this.Column2,
             this.Column4,
-            this.Column6});
+            this.Column6,
+            this.Column9,
+            this.Column10});
             this.dgvMaster.EnableHeadersVisualStyles = false;
             this.dgvMaster.Location = new System.Drawing.Point(12, 8);
             this.dgvMaster.Name = "dgvMaster";
@@ -214,6 +218,18 @@
             this.Column6.ReadOnly = true;
             this.Column6.Visible = false;
             // 
+            // Column9
+            // 
+            this.Column9.HeaderText = "担当者コード";
+            this.Column9.Name = "Column9";
+            this.Column9.Visible = false;
+            // 
+            // Column10
+            // 
+            this.Column10.HeaderText = "担当名";
+            this.Column10.Name = "Column10";
+            this.Column10.Visible = false;
+            // 
             // FrmConstructionDiag
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -253,5 +269,7 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column6;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column9;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column10;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.cs	(revision 484)
@@ -34,10 +34,12 @@
             DispConstructionCode,
             ConstructionYear,
             ConstructionName,
-            ConstructionPersonName,
+            ConstrPersonName,
             ConstructionCode,
             OrderersDivision,
             OrderersCode,
+            PersonCode,
+            PersonName,
         }
 
         /// <summary>
@@ -110,6 +112,11 @@
         private int m_PersonCode = 0;
 
         /// <summary>
+        /// 担当者名
+        /// </summary>
+        private string m_PersonName = string.Empty;
+
+        /// <summary>
         /// 検索先担当者位置
         /// </summary>
         private int m_PersonCharge = 0;
@@ -170,6 +177,15 @@
         }
 
         /// <summary>
+        /// 担当者名
+        /// </summary>
+        public string PersonName
+        {
+            get { return m_PersonName; }
+            set { m_PersonName = value; }
+        }
+
+        /// <summary>
         /// 工事番号
         /// </summary>
         public int ConstructionCode
@@ -398,6 +414,10 @@
                 m_ConstructionCode = CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridCol.ConstructionCode].Value);
                 // 工事名称取得
                 m_ConstructionName = CommonMotions.cnvString(dgvRow.Cells[(int)DispGridCol.ConstructionName].Value);
+                // 工事担当者名
+                m_PersonName = CommonMotions.cnvString(dgvRow.Cells[(int)DispGridCol.PersonName].Value);
+                // 工事担当者コード
+                m_PersonCode = CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridCol.PersonCode].Value);
 
                 if (m_ProcessNo == (int)ClsExcute.ProcessExecuteNo.OrderJoin)
                 {
@@ -488,10 +508,12 @@
                     CurRow.Cells[(int)DispGridCol.DispConstructionCode].Value = EditConstructionCode;
                     CurRow.Cells[(int)DispGridCol.ConstructionYear].Value = CommonMotions.cnvInt(wrk[5]);
                     CurRow.Cells[(int)DispGridCol.ConstructionName].Value = CommonMotions.cnvString(wrk[1]);
-                    CurRow.Cells[(int)DispGridCol.ConstructionPersonName].Value = CommonMotions.cnvString(wrk[4]);
+                    CurRow.Cells[(int)DispGridCol.ConstrPersonName].Value = CommonMotions.cnvString(wrk[4]);
                     CurRow.Cells[(int)DispGridCol.ConstructionCode].Value = ConstructionCode;
                     CurRow.Cells[(int)DispGridCol.OrderersDivision].Value = iData[0];
                     CurRow.Cells[(int)DispGridCol.OrderersCode].Value = iData[1];
+                    CurRow.Cells[(int)DispGridCol.PersonCode].Value = CommonMotions.cnvString(wrk[6]);
+                    CurRow.Cells[(int)DispGridCol.PersonName].Value = CommonMotions.cnvString(wrk[7]);
 
                     dgv.Rows[i++].Cells[(int)DispGridCol.ConstructionName].ToolTipText = CommonMotions.cnvString(wrk[1]);
                 }
@@ -531,6 +553,8 @@
                     strSQL.Append(", A.ConstructionPeriod");
                 else
                     strSQL.Append(", A.ConstructionYear");
+                strSQL.Append(", D.PERSONCODE");
+                strSQL.Append(", D.SealPrintName");
                 strSQL.Append(" FROM");
                 strSQL.Append(" CONSTRUCTIONBASEINFO A");
                 strSQL.Append(" INNER JOIN CONSTRUCTIONBASEINFODETAIL B");
@@ -649,6 +673,8 @@
                 strSQL.Append("    , ''");
                 strSQL.Append("    , UNI.PERSONNAME");
                 strSQL.Append("    , UNI.ConstrYear");
+                strSQL.Append("    , UNI.PERSONCODE");
+                strSQL.Append("    , UNI.PRINTNAME");
                 strSQL.Append(" FROM (SELECT");
                 strSQL.Append("            A1.CONSTRUCTIONCODE AS CONSTRUCTIONCODE");
                 strSQL.Append("          , B1.DETAILSTRING AS DETAILSTRING");
@@ -658,6 +684,8 @@
                     strSQL.Append("      , A1.ConstructionPeriod As ConstrYear");
                 else
                     strSQL.Append("      , A1.ConstructionYear As ConstrYear");
+                strSQL.Append("          , P1.PERSONCODE AS PERSONCODE");
+                strSQL.Append("          , P1.SealPrintName AS PRINTNAME");
                 strSQL.Append("       FROM CONSTRUCTIONBASEINFO A1");
                 strSQL.Append("       INNER JOIN CONSTRUCTIONBASEINFODETAIL B1");
                 strSQL.Append("             ON A1.CONSTRUCTIONCODE = B1.CONSTRUCTIONCODE");
@@ -691,6 +719,8 @@
                     strSQL.Append("               , A2.ConstructionPeriod As ConstrYear");
                 else
                     strSQL.Append("               , A2.ConstructionYear As ConstrYear");
+                strSQL.Append("                   , P2.PERSONCODE AS PERSONCODE");
+                strSQL.Append("                   , P2.SealPrintName AS PRINTNAME");
                 strSQL.Append("                FROM CONSTRUCTIONBASEINFO A2");
                 strSQL.Append("                INNER JOIN CONSTRUCTIONBASEINFODETAIL B2");
                 strSQL.Append("                      ON A2.CONSTRUCTIONCODE = B2.CONSTRUCTIONCODE");
@@ -744,6 +774,8 @@
                 strSQL.Append("    , ''");
                 strSQL.Append("    , UNI.PERSONNAME");
                 strSQL.Append("    , UNI.ConstrYear");
+                strSQL.Append("    , UNI.PERSONCODE");
+                strSQL.Append("    , UNI.SealPrintName");
                 strSQL.Append(" FROM (SELECT");
                 strSQL.Append("            A1.CONSTRUCTIONCODE AS CONSTRUCTIONCODE");
                 strSQL.Append("          , B1.DETAILSTRING AS DETAILSTRING");
@@ -753,6 +785,8 @@
                     strSQL.Append("      , A1.ConstructionPeriod As ConstrYear");
                 else
                     strSQL.Append("      , A1.ConstructionYear As ConstrYear");
+                strSQL.Append("          , P1.PersonCode AS PERSONCODE");
+                strSQL.Append("          , P1.SealPrintName AS SealPrintName");
                 strSQL.Append("       FROM CONSTRUCTIONBASEINFO A1");
                 strSQL.Append("       INNER JOIN CONSTRUCTIONBASEINFODETAIL B1");
                 strSQL.Append("             ON A1.CONSTRUCTIONCODE = B1.CONSTRUCTIONCODE");
@@ -786,6 +820,8 @@
                     strSQL.Append("               , A2.ConstructionPeriod As ConstrYear");
                 else
                     strSQL.Append("               , A2.ConstructionYear As ConstrYear");
+                strSQL.Append("                   , P2.PERSONCODE AS PERSONCODE");
+                strSQL.Append("                   , P2.SealPrintName AS SealPrintName");
                 strSQL.Append("                FROM CONSTRUCTIONBASEINFO A2");
                 strSQL.Append("                INNER JOIN CONSTRUCTIONBASEINFODETAIL B2");
                 strSQL.Append("                      ON A2.CONSTRUCTIONCODE = B2.CONSTRUCTIONCODE");
@@ -842,6 +878,8 @@
                     strSQL.Append(" , A.ConstructionPeriod");
                 else
                     strSQL.Append(" , A.ConstructionYear");
+                strSQL.Append("     , C.PERSONCODE");
+                strSQL.Append("     , C.SealPrintName");
                 strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
                 strSQL.Append("    , CONSTRUCTIONBASEINFODETAIL B");
                 strSQL.Append("    , PERSONINCHARGEMASTER C");
@@ -913,7 +951,9 @@
                     string strdtEnd = CommonMotions.GetOpeningEndDate(nTargetYear, false).ToShortDateString();
 
                     StringBuilder strChgDep = new StringBuilder();
-                    strChgDep.Append(" (Select * From chgchargedep As H");
+                    strChgDep.Append(" (Select");
+                    strChgDep.AppendFormat(" {0}", IOMChgChargeDep.CreateFieldNameList("H."));
+                    strChgDep.Append(" From chgchargedep As H");
                     strChgDep.AppendFormat(" Where (DATE(H.StartDate) <= DATE('{0}')", strdtEnd);
                     strChgDep.AppendFormat(" And DATE('{0}') <= DATE(H.CompDate)))", strdtStart);
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs	(revision 484)
@@ -851,7 +851,11 @@
                 ArrayList isdList = new ArrayList();
                 // SQL作成増減工事を含む履歴を表示する
                 StringBuilder strSQL = new StringBuilder();
-                strSQL.Append("Select B.*, A.DataType, A.InputCode From inputsearchlogdata As A");
+                strSQL.Append("Select");
+                strSQL.AppendFormat(" {0}", IOMSubContractor.CreateFieldNameList("B."));
+                strSQL.Append(", A.DataType");
+                strSQL.Append(", A.InputCode");
+                strSQL.Append(" From inputsearchlogdata As A");
                 strSQL.Append(" Inner Join subcontractormaster As B On B.CompanyCode = A.InputCode");
 
                 strSQL.AppendFormat(" Where TRUNCATE((A.ConstructionCode / 100), 0) = {0}"
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmValueOfOrder.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmValueOfOrder.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmValueOfOrder.cs	(revision 484)
@@ -587,11 +587,11 @@
                 PriceRec.ChangePersonCode = CommonMotions.LoginUserData.PersonCode;
                 PriceRec.ChangePersonName = CommonMotions.LoginUserData.PersonName;
 
-                PriceRec.BeforeValue = CommonMotions.cnvInt(lbl001.Text);
-                PriceRec.BeforeValueInTax = CommonMotions.cnvInt(lbl002.Text);
+                PriceRec.BeforeValue = CommonMotions.cnvLong(lbl001.Text);
+                PriceRec.BeforeValueInTax = CommonMotions.cnvLong(lbl002.Text);
 
-                PriceRec.AfterValue = CommonMotions.cnvInt(textBox001.Text);
-                PriceRec.AfterValueInTax = CommonMotions.cnvInt(textBox002.Text);
+                PriceRec.AfterValue = CommonMotions.cnvLong(textBox001.Text);
+                PriceRec.AfterValueInTax = CommonMotions.cnvLong(textBox002.Text);
                 PriceRec.ChangeComment = CommonMotions.cnvString(textBox003.Text);
 
                 if (!PriceDB.InsertAction(PriceRec, false))
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 484)
@@ -520,9 +520,9 @@
                                                                     (int)ClsExcute.MaintenanceExecuteNo.MaterialKind,
                                                                     (int)ClsExcute.MaintenanceExecuteNo.MaterialItem
                                                                 },
-                                                                { (int)ClsExcute.MaintenanceExecuteNo.BankBusinessDay,
+                                                                { (int)ClsExcute.MaintenanceExecuteNo.AverageScore,
+                                                                    (int)ClsExcute.MaintenanceExecuteNo.EvalScore,
                                                                     0,
-                                                                    0,
                                                                     (int)ClsExcute.MaintenanceExecuteNo.SalesConfirm
                                                                 },
         };
